## org.apache.cassandra.tools
Enum NodeCmd.NodeCommand

    java.lang.Object
      java.lang.Enum<NodeCmd.NodeCommand>
          org.apache.cassandra.tools.NodeCmd.NodeCommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NodeCmd.NodeCommand>

Enclosing class:
  NodeCmd

    public static enum NodeCmd.NodeCommand

extends java.lang.Enum<NodeCmd.NodeCommand>

Enum Constant Summary
`CFHISTOGRAMS`
`CFSTATS`
`CLEANUP`
`CLEARSNAPSHOT`
`COMPACT`
`COMPACTIONSTATS`
`DECOMMISSION`
`DISABLEGOSSIP`
`DISABLETHRIFT`
`DRAIN`
`ENABLEGOSSIP`
`ENABLETHRIFT`
`FLUSH`
`GETCOMPACTIONTHRESHOLD`
`GETENDPOINTS`
`GOSSIPINFO`
`INFO`
`INVALIDATEKEYCACHE`
`INVALIDATEROWCACHE`
`JOIN`
`MOVE`
`NETSTATS`
`REFRESH`
`REMOVETOKEN`
`REPAIR`
`RING`
`SCRUB`
`SETCACHECAPACITY`
`SETCOMPACTIONTHRESHOLD`
`SETCOMPACTIONTHROUGHPUT`
`SNAPSHOT`
`STATUSTHRIFT`
`TPSTATS`
`VERSION`

Method Summary
`static NodeCmd.NodeCommand` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NodeCmd.NodeCommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RING

    public static final NodeCmd.NodeCommand RING

### INFO

    public static final NodeCmd.NodeCommand INFO

### CFSTATS

    public static final NodeCmd.NodeCommand CFSTATS

### SNAPSHOT

    public static final NodeCmd.NodeCommand SNAPSHOT

### CLEARSNAPSHOT

    public static final NodeCmd.NodeCommand CLEARSNAPSHOT

### VERSION

    public static final NodeCmd.NodeCommand VERSION

### TPSTATS

    public static final NodeCmd.NodeCommand TPSTATS

### FLUSH

    public static final NodeCmd.NodeCommand FLUSH

### DRAIN

    public static final NodeCmd.NodeCommand DRAIN

### DECOMMISSION

    public static final NodeCmd.NodeCommand DECOMMISSION

### MOVE

    public static final NodeCmd.NodeCommand MOVE

### REMOVETOKEN

    public static final NodeCmd.NodeCommand REMOVETOKEN

### REPAIR

    public static final NodeCmd.NodeCommand REPAIR

### CLEANUP

    public static final NodeCmd.NodeCommand CLEANUP

### COMPACT

    public static final NodeCmd.NodeCommand COMPACT

### SCRUB

    public static final NodeCmd.NodeCommand SCRUB

### SETCACHECAPACITY

    public static final NodeCmd.NodeCommand SETCACHECAPACITY

### GETCOMPACTIONTHRESHOLD

    public static final NodeCmd.NodeCommand GETCOMPACTIONTHRESHOLD

### SETCOMPACTIONTHRESHOLD

    public static final NodeCmd.NodeCommand SETCOMPACTIONTHRESHOLD

### NETSTATS

    public static final NodeCmd.NodeCommand NETSTATS

### CFHISTOGRAMS

    public static final NodeCmd.NodeCommand CFHISTOGRAMS

### COMPACTIONSTATS

    public static final NodeCmd.NodeCommand COMPACTIONSTATS

### DISABLEGOSSIP

    public static final NodeCmd.NodeCommand DISABLEGOSSIP

### ENABLEGOSSIP

    public static final NodeCmd.NodeCommand ENABLEGOSSIP

### INVALIDATEKEYCACHE

    public static final NodeCmd.NodeCommand INVALIDATEKEYCACHE

### INVALIDATEROWCACHE

    public static final NodeCmd.NodeCommand INVALIDATEROWCACHE

### DISABLETHRIFT

    public static final NodeCmd.NodeCommand DISABLETHRIFT

### ENABLETHRIFT

    public static final NodeCmd.NodeCommand ENABLETHRIFT

### STATUSTHRIFT

    public static final NodeCmd.NodeCommand STATUSTHRIFT

### JOIN

    public static final NodeCmd.NodeCommand JOIN

### SETCOMPACTIONTHROUGHPUT

    public static final NodeCmd.NodeCommand SETCOMPACTIONTHROUGHPUT

### GETENDPOINTS

    public static final NodeCmd.NodeCommand GETENDPOINTS

### REFRESH

    public static final NodeCmd.NodeCommand REFRESH

### GOSSIPINFO

    public static final NodeCmd.NodeCommand GOSSIPINFO

Method Detail

### values

    public static NodeCmd.NodeCommand[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NodeCmd.NodeCommand c : NodeCmd.NodeCommand.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NodeCmd.NodeCommand valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2011 The Apache Software Foundation